#include <windows.h>
#include "../vc++/pdfformfunc.h"
#include <io.h>
#include <stdio.h>

void GetModulePath(char *out_path,char *in_name)
{
	char *p;
	GetModuleFileName(NULL,out_path,256);
	p =strrchr(out_path,'\\');
	p[1]=0;
	strcat(out_path,in_name);
}

void main(int argc, char *argv[])
{
	char szBarcodeTemp[MAX_PATH];
	GetModulePath(szBarcodeTemp, "Barcode-temp.pdf");
	char szBarcodeNew[MAX_PATH];
	GetModulePath(szBarcodeNew, "_Barcode-out.pdf");
	CopyFile(szBarcodeTemp, szBarcodeNew, FALSE);

	BOOL bRet = FALSE;
	PDFForm_SetLicenseKey("XXXXXXXXXXXXXXXXXXXXX");
	bRet = PDFForm_InsertBarcodeIntoPDF(szBarcodeNew, szBarcodeNew, "BarCode1[0]", "Code128", "1234567890");
	bRet = PDFForm_InsertBarcodeIntoPDF(szBarcodeNew, szBarcodeNew, "BarCode2[0]", "Code39", "1234567890");
	bRet = PDFForm_InsertBarcodeIntoPDF(szBarcodeNew, szBarcodeNew, "BarCode3[0]", "Codabar", "A1234567890A");
	bRet = PDFForm_InsertBarcodeIntoPDF(szBarcodeNew, szBarcodeNew, "BarCode4[0]", "Datamatrix", "01034009377771791712073110BXBWWW22");
	bRet = PDFForm_InsertBarcodeIntoPDF(szBarcodeNew, szBarcodeNew, "BarCode5[0]", "EAN", "01234567890100");
	bRet = PDFForm_InsertBarcodeIntoPDF(szBarcodeNew, szBarcodeNew, "BarCode6[0]", "Inter25", "123456789");
	bRet = PDFForm_InsertBarcodeIntoPDF(szBarcodeNew, szBarcodeNew, "BarCode7[0]", "PDF417", "1234567890");
	bRet = PDFForm_InsertBarcodeIntoPDF(szBarcodeNew, szBarcodeNew, "BarCode8[0]", "Postnet", "1234567890");
	printf("Return value is: %d\n", bRet);
	return;
}