#include <windows.h>
#include "../vc++/pdfformfunc.h"
#include <io.h>
#include <stdio.h>
#include <string>
using namespace std;

void GetModulePath(char *out_path,char *in_name)
{
	char *p;
	GetModuleFileName(NULL,out_path,256);
	p =strrchr(out_path,'\\');
	p[1]=0;
	strcat(out_path,in_name);
}

void main(int argc, char *argv[])
{
	char szBarcodeTemp[MAX_PATH];
	GetModulePath(szBarcodeTemp, "Barcode-temp.pdf");
	char szBarcodeNew[MAX_PATH];
	GetModulePath(szBarcodeNew, "_Barcode-out3_barcode128.pdf");

	BOOL bRet = FALSE;
	PDFForm_SetLicenseKey("XXXXXXXXXXXXXXXXXXXXX");
	
	string strFormValues;
	strFormValues += "BarCode1[0]=>Code128=>(01)01234567890128(15)051231";
	strFormValues += "\n";
	strFormValues += "BarCode2[0]=>Code128_UCC=>(01)01234567890128(15)051231";
	strFormValues += "\n";
	strFormValues += "BarCode3[0]=>Code128_RAW=>(01)01234567890128(15)051231";
	strFormValues += "\n";
	strFormValues += "BarCode4[0]=>Code128=>(01)01234567890128(15)051231";
	strFormValues += "\n";
	strFormValues += "BarCode5[0]=>Code128_UCC=>(01)01234567890128(15)051231";
	strFormValues += "\n";
	strFormValues += "BarCode6[0]=>Code128_RAW=>(01)01234567890128(15)051231";
	strFormValues += "\n";
	strFormValues += "BarCode7[0]=>Code128=>(01)01234567890128(15)051231";
	strFormValues += "\n";
	strFormValues += "BarCode8[0]=>Code128_UCC=>(01)01234567890128(15)051231";
	strFormValues += "\n";
	strFormValues += "BarCode9[0]=>BayerEAN128=>(01)01234567890128(15)128128";
	bRet = PDFForm_InsertBarcodeIntoPDF2(szBarcodeTemp, szBarcodeNew, strFormValues.c_str());

	printf("Return value is: %d\n", bRet);
	return;
}